Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.hibernate.projection
Class SpatialProjection

    java.lang.Object
      com.gisgraphy.hibernate.projection.SpatialProjection

    public class SpatialProjection

extends Object

Author:
  David Masclet Some Spatial Projections. distance_sphere...

Constructor Summary
`SpatialProjection()`

Method Summary
`static org.hibernate.criterion.SimpleProjection` | `distance_pointToLine(com.vividsolutions.jts.geom.Point point, String lineStringColumnName)` projection to get the distance_sphere between a point and a LineString
`static org.hibernate.criterion.SimpleProjection` | `distance_sphere(com.vividsolutions.jts.geom.Point point, String locationColumnName)` projection to get the distance_sphere of a point if you're on a Cartesian ref use `distance(Point, String)`
`static org.hibernate.criterion.SimpleProjection` | `distance(com.vividsolutions.jts.geom.Point point, String locationColumnName)` projection to get the distance from a point if you're on a lat/long ref, use @link `distance_sphere(Point, String)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpatialProjection

    public SpatialProjection()

Method Detail

### distance_pointToLine

    public static org.hibernate.criterion.SimpleProjection distance_pointToLine(com.vividsolutions.jts.geom.Point point,
                                                                                String lineStringColumnName)

  projection to get the distance_sphere between a point and a LineString

  Parameters:
    `point` - the point to get the distance
    `lineStringColumnName` - the name of the lineString column
  Returns:
    the projection
  See Also:
    `distance(Point, String)`

### distance_sphere

    public static org.hibernate.criterion.SimpleProjection distance_sphere(com.vividsolutions.jts.geom.Point point,
                                                                           String locationColumnName)

  projection to get the distance_sphere of a point if you're on a Cartesian ref use `distance(Point, String)`

  Parameters:
    `point` - the point to get the distance
    `locationColumnName` - the name of the column we want the distance
  Returns:
    the projection
  See Also:
    `distance(Point, String)`

### distance

    public static org.hibernate.criterion.SimpleProjection distance(com.vividsolutions.jts.geom.Point point,
                                                                    String locationColumnName)

  projection to get the distance from a point if you're on a lat/long ref, use @link `distance_sphere(Point, String)`

  Parameters:
    `point` - the point to get the distance
    `locationColumnName` - the name of the column we want the distance
  Returns:
    the projection
  See Also:
    `distance_sphere(Point, String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.